#include "StartupBehavior.h"
#include "Behaviors/Controls/ControlBase.h"
#include "Behaviors/Controls/BehaviorSwitchControl.h"
#include "Shared/ProjectInterface.h"

//our behaviors
#include "ChaseDemo.h"
#include "PenaltyGoalie.h"

ControlBase*
StartupBehavior::SetupModeSwitch() 
{	
	addItem(new ControlBase("Mode Switch","Contains the \"major\" applications - mutually exclusive selection"));
	startSubMenu();
	{
		BehaviorSwitchControlBase::BehaviorGroup * bg = new BehaviorSwitchControlBase::BehaviorGroup();

		//addItem((new BehaviorSwitchControl<ChaseDemo>("ChaseDemo", bg, false))->start());
		addItem(new BehaviorSwitchControl<ChaseDemo>("ChaseDemo", bg, false));
		addItem(new BehaviorSwitchControl<PenaltyGoalie>("PenaltyGoalie", bg, false));
	}
	return endSubMenu();
}